> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network Status



## OpenAPI

````yaml get /v1/network-status/{verificationId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/network-status/{verificationId}:
    get:
      tags:
        - NetworkStatus
      summary: Get Network Status
      operationId: getNetworkStatus
      responses:
        '200':
          description: A network status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkStatusResponse'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    NetworkStatusResponse:
      required:
        - verificationId
        - status
      type: object
      properties:
        status:
          type: string
          description: The network status for the verification
          enum:
            - inn
            - oon
            - pending
        verificationId:
          type: string
          description: The Sohar ID for the verification
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
        payer:
          type: object
          nullable: true
          properties:
            id:
              type: string
              nullable: true
              description: >-
                The [payer
                ID](https://docs.soharhealth.com/api-reference/payers/get-payers)
              format: uuid
              example: '60054'
            name:
              type: string
              description: The payer's name
              example: Aetna
        labels:
          type: array
          description: Optional system-defined labels. See possible values below
          items:
            $ref: '#/components/schemas/Label'
          example:
            - id: cb075a05-4510-456c-addb-fc2efdb74686
              color: green
            - id: de6a246c-2900-4b47-b748-aa32ab51e1da
              color: orange
            - id: 992d71b7-ef7e-47e3-92c4-1a1c459d3333
              color: yellow
            - id: d7d9a80a-985b-429a-9163-07539f281382
              color: blue
            - id: cfb12530-ff1e-40b0-8ffe-e4d3ab4ce422
              color: red
        providerGroups:
          type: array
          description: Optional provider groups associated with the rule
          items:
            $ref: '#/components/schemas/ProviderGroup'
          example:
            - id: 992d71b7-ef7e-47e3-92c4-1a1c459d3333
              name: My Group
              tin: '123456789'
              status: inn
            - id: de6a246c-2900-4b47-b748-aa32ab51e1da
              name: Another Group
              tin: '987654321'
              status: oon
    Label:
      type: object
      properties:
        id:
          type: string
          description: The label ID
          example: cb075a05-4510-456c-addb-fc2efdb74686
        color:
          type: string
          description: The label color
          example: green
    ProviderGroup:
      type: object
      properties:
        id:
          type: string
          description: Provider group ID
          example: cb075a05-4510-456c-addb-fc2efdb74686
        name:
          type: string
          description: Provider group name
          example: My Group
        tin:
          type: string
          description: Provider group TIN
          example: '123456789'
        status:
          type: string
          description: The network status for the provider group
          enum:
            - inn
            - oon
            - pending
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````